Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: CC-DA/EPC Affected Products:  

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: ADTF::MessageBus

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Ich habe eine Message Bus Konfiguration mit einem Master und zwei Slaves. Alles wunderbar. Allerdings möchte ich von einem

Rechner aus die Aufnahme von unterschiedlichen Sensoren an den drei Rechner verteilen. Einfacher gesagt, ich clicke auf Start auf

dem Master und die Aufnahme startet automatisch auf die zwei Slaves. Bringt ADTF sowas mit oder muss ich ein Filter/Service

schreiben. Falls ja, welche Interfaces sollte ich mir in der Doku anschauen?

Lösung

Der Recorder kann nicht mit Kernel Signalen umgehen.

Du musst selbst drauf hören.

Siehe ADTF Usermanual Kap. 5.7.3 ADTF Clustering (Kernel Signal Forwarding).

Hier ist in der Note genau dein Use Case beschrieben.

siehe tRemoteSignalEventCode

History

#1 - 2018-05-22 10:00 - hidden

- Project changed from Public Support to 5

- Status changed from New to In Progress

- Topic set to ADTF::MessageBus

- Customer set to BOSCH

- Department set to CC-DA/EPC

#2 - 2018-05-22 10:02 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Yann,

Der Recorder kann nicht mit Kernel Signalen umgehen.

Du musst selbst drauf hören.

Siehe ADTF Usermanual Kap. 5.7.3 ADTF Clustering (Kernel Signal Forwarding).

Hier ist in der Note genau dein Use Case beschrieben.

#3 - 2018-05-22 19:14 - hidden

Hi Flo,

vielen Dank für die zügige Antwort. Es ist in der Tat genau mein Usecase definiert im Usermanual.

Die Doku sagt aber:
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classadtf_1_1_i_event.html#aeb82f80327a54bc58ec785f42bb0231
support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf


If you want to control (start/split/stop) the Hard Disk Recorder Filter of an other ADTF instance

by Kernel Signals, you have to implement an own filter in this instance which receives

the IEvent::EC_RemoteSignal and emits IEvent::EC_StartRecording,

IEvent::EC_SplitRecording or IEvent::EC_StopRecording.

 Bedeutet es konkret, dass mein Filter auf die Slaves laufen soll? Wie kriegt er mit, dass ich auf dem Master auf die Tasten "A" oder "S" geklickt habe?

Hast du evtl. Codebeispiele für mich?

Viele Grüße,

Yann

#4 - 2018-05-24 13:53 - hidden

Hi Yann,

siehe tRemoteSignalEventCode

#5 - 2018-06-04 09:09 - hidden

- Project changed from 5 to Public Support

- Subject changed from Trigger Recording over ADTF Message Bus to Trigger Recording over ADTF Message Bus (Cluster)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#6 - 2018-06-04 09:09 - hidden

- Status changed from To Be Closed to Closed
